<?php
/**
 * 解绑接口（协议支付）
 * Company: www.baofu.com
 * @author dasheng(大圣)
 * @date 2018年3月15日
 */
require_once '../Init/init.php';

Log::EchoFormat("==========================");
Log::EchoFormat("余额查询 测试实例");
Log::EchoFormat("==========================");

/* Header 参数*/
$HeaderPost = array();
$HeaderPost["memberId"] = $GLOBALS["Member_Id"];//宝付提供给商户的唯一编号
$HeaderPost["terminalId"] = $GLOBALS["Terminal_Id"];
$HeaderPost["serviceTp"] = "T-1001-006-03";//信用卡还款下单接口
$HeaderPost["verifyType"] = "1";//加密方式目前只有1种，请填：1

$BodyData = array();  
$BodyData["version"] = "4.0.0";//版本号
$BodyData["accountType"] = "BASE_ACCOUNT";//BASE_ACCOUNT:基本户  FREEZE_ACCOUNT:冻结户 
$contentData = array();       
$contentData["header"] = $HeaderPost;
$contentData["body"] = $BodyData;

$JsonObject = json_encode($contentData);
Log::EchoFormat("JSON：".$JsonObject);

$Data_Content = RSAUtil::encryptByPFXFile($JsonObject, $GLOBALS["PFX_FILE_PATH"], $GLOBALS["KEY_PWD"]);
//Log::EchoFormat("数据：".$GLOBALS["PFX_FILE_PATH"] . $GLOBALS["KEY_PWD"]);
$HeaderPost["content"] = $Data_Content;

$PostString  =  HttpClient::Post($HeaderPost, $GLOBALS["POST_URL"]);

Log::EchoFormat("返回：".$PostString);

IF(empty($PostString)){
    throw new Exception("返回异常！");
}
$RPostString = RSAUtil::decryptByCERFile($PostString, $GLOBALS["CER_FILE_PATH"]);

Log::EchoFormat("解密明文：".$RPostString);